Bug 38872 - Extra line appears on Xterm after vi rings the visual bell
Extra line appears on Xterm after vi rings the visual bell
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xterm-color (Show other bugs)
7.1
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 21:55 EDT by Jim Nance
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 21:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
my .Xdefaults file (513 bytes, text/plain)
2001-05-02 21:56 EDT, Jim Nance
no flags Details

  None (edit)
Description Jim Nance 2001-05-02 21:55:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.4 i586)


When using the attached .Xdefaults file, my xterms are green with black
backgrounds.  There is a scroll bar on the left side and it is green. 
There is nothing that seperates the scroll bar from the text area of the
xterm.  If vi rings its visual bell, a virticle green line, one pixel wide
appears between the scroll bar and the text area.

Reproducible: Always
Steps to Reproduce:
1.Install the .Xdefaults file
2.Start an xterm
3.Start vim w/o a file name, hit the J key.  This should cause the visual
bell to ring. 
4.Notice that the appearance of the xterm has changed
	

Actual Results:  A line appears to seperate the scroll bar from the text
area.

Expected Results:  The line should either always be there or never be
there.  It should not appear after
the screen flashes.
Comment 1 Jim Nance 2001-05-02 21:56:44 EDT
Created attachment 17146 [details]
my .Xdefaults file
Comment 2 Preston Brown 2001-07-19 13:11:40 EDT
This is not reproducible with vim 5.8-5 and XFree86-4.1.0-0.8.6 from Rawhide, 
so it will be fixed in our next release.
Comment 3 Jim Nance 2001-07-19 21:37:24 EDT
I got the XFree86 rpms, extracted the xterm binary and the shared libs and tried
it out.  I still get the problem.  Were you able to reproduce this problem with
any version of X?

Note You need to log in before you can comment on or make changes to this bug.